# Delete a user

`DELETE https://api.cademi.com.br/api/v3/users/{user_id}`

Operation ID: `users.delete` · API v3

Moves the user to the trash. The user's enrollments, access, and associations are preserved.

To restore the user, send `deleted: false` to the update operation.

Required permissions: `users.delete`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `user_id` | path | string | yes |  |

## Responses

### 204

The user was moved to the trash.

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The user was not found or is not accessible with the current credentials.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
